### Hierarchy

- WebAuthentication

## Index

### Methods

- getAssertion
- makeCredential

## Methods

### getAssertion

- getAssertion(assertionChallenge: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer | null, options?: AssertionOptions): Promise<WebAuthnAssertion>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15459

  #### Parameters

  - ##### assertionChallenge: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer | null

  - ##### Optional options: AssertionOptions

  #### Returns Promise<WebAuthnAssertion>

### makeCredential

- makeCredential(accountInformation: Account, cryptoParameters: ScopedCredentialParameters[], attestationChallenge: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer | null, options?: ScopedCredentialOptions): Promise<ScopedCredentialInfo>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:15460

  #### Parameters

  - ##### accountInformation: Account

  - ##### cryptoParameters: ScopedCredentialParameters[]

  - ##### attestationChallenge: Int8Array | Int16Array | Int32Array | Uint8Array | Uint16Array | Uint32Array | Uint8ClampedArray | Float32Array | Float64Array | DataView | ArrayBuffer | null

  - ##### Optional options: ScopedCredentialOptions

  #### Returns Promise<ScopedCredentialInfo>

Generated using TypeDoc